Subject: [renum] FW: New Version Notification for draft-liu-6renum-dhcpv6-slaac-switching-00.txt

From: "Liubing (Leo)" <[email-masked]>
Date: Tue, 10 Jul 2012 03:49:26 +0000

Hi, all

Here's a new draft. It discusses a standard gap of network-controlled DHCPv6/SLAAC selection for host.

When renumbering, there may be requirement that the network side want the hosts to switch from SLAAC to DHCPv6, or verse vice, due to network re-organize or policy changing, etc. But current standard RFC4861/RFC4862 are just lack of this ability. It's mainly because the ambiguous of interpreting M flag (ManagedFlag) in RA messages, which has been mentioned in RFC5887 and draft-ietf-6renum-gap-analysis. 

This draft is dedicated to discuss this issue. Looking forward to your comments.

Thanks,
Bing

________________________________________
发件人: [email-masked] [[email-masked]]
发送时间: 2012年7月9日 20:43
到: Liubing (Leo)
主题: New Version Notification for        draft-liu-6renum-dhcpv6-slaac-switching-00.txt

A new version of I-D, draft-liu-6renum-dhcpv6-slaac-switching-00.txt
has been successfully submitted by Bing Liu and posted to the
IETF repository.

Filename:        draft-liu-6renum-dhcpv6-slaac-switching
Revision:        00
Title:           DHCPv6/SLAAC Address Configuration Switching for Host Renumbering
Creation date:   2012-07-09
WG ID:           Individual Submission
Number of pages: 8
URL:             http://www.ietf.org/internet-drafts/draft-liu-6renum-dhcpv6-slaac-switching-00.txt
Status:          http://datatracker.ietf.org/doc/draft-liu-6renum-dhcpv6-slaac-switching
Htmlized:        http://tools.ietf.org/html/draft-liu-6renum-dhcpv6-slaac-switching-00

Abstract:
   Sometimes stateful DHCPv6 address configuration and SLAAC may be both
   available in one network. In ND protocol, there is a M (ManagedFlag)
   flag defined in RA message, which indicates the hosts the DHCPv6
   service is availeble. But for some reason, the ND protocol didn't
   define the flag as prescriptive but only advisory. This draft
   proposes to use two reserved bits in RA message to let the network
   control the hosts that which address configuration mode should be
   used. This feature is useful for management, especially in a
   renumbering event.

The IETF Secretariat